std::literals::chrono_literals::operator""us(3)

NAME
std::literals::chrono_literals::operator""us - std::literals::chrono_literals::operator""us

Synopsis
   Defined in header <chrono>
   constexpr std::chrono::microseconds operator "" us(unsigned long (1) (since C++14)
   long us);
   constexpr std::chrono::duration</*unspecified*/, (2) (since C++14)
   std::micro> operator "" us(long double us);
   Forms a std::chrono::duration literal representing microseconds.
   1) integer literal, returns exactly std::chrono::microseconds(us)
   2) floating-point literal, returns a floating-point duration equivalent to
   std::chrono::microseconds

Parameters
   us - the number of microseconds

Return value
   The std::chrono::duration literal.

Possible implementation
   constexpr std::chrono::microseconds operator ""us(unsigned long long us)
   {
       return std::chrono::microseconds(us);
   }
   constexpr std::chrono::duration<long double, std::micro> operator ""us(long double us)
   {
       return std::chrono::duration<long double, std::micro>(us);
   }

Notes
   These operators are declared in the namespace std::literals::chrono_literals, where
   both literals and chrono_literals are inline namespaces. Access to these operators
   can be gained with using namespace std::literals, using namespace
   std::chrono_literals, and using namespace std::literals::chrono_literals.
   In addition, within the namespace std::chrono, the directive using namespace
   literals::chrono_literals; is provided by the standard library, so that if a
   programmer uses using namespace std::chrono; to gain access to the classes in the
   chrono library, the corresponding literal operators become visible as well.

Example

// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     using namespace std::chrono_literals;
     auto d1 = 250us;
     std::chrono::microseconds d2 = 1ms;
     std::cout << "250us = " << d1.count() << " microseconds\n"
               << "1ms = " << d2.count() << " microseconds\n";
 }

Output:
 250us = 250 microseconds
 1ms = 1000 microseconds

See also
   constructor constructs new duration
                 (public member function of std::chrono::duration<Rep,Period>)